Activate No private IP feature for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/features/no_private_ip/activate

A POST request to /v1/hosts/dedicated_servers/{server_id}/features/no_private_ip/activate will activate the No private IP feature. A server for the operation to be specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/y5eVnoeE/features/no_private_ip/activate"
{  "name": "no_private_ip",  "status": "activation"}
{  "message": "Incompatible feature state",  "code": "INCOMPATIBLE_FEATURE_STATE"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}